#!/bin/bash
#%stage: boot
#%depends: start udev kms
#%programs: /usr/bin/plymouth /usr/sbin/plymouthd

enable_plymouth=1
for o in $(cat /proc/cmdline) ; do
  case "$o" in
	shell*|plymouth.enable=0*|rd.plymouth=0*)
		enable_plymouth=0
		break
		;;
  esac
done
if [ "$enable_plymouth" = "1" ]; then
  mkdir --mode 755 /run/plymouth

  /usr/sbin/plymouthd --attach-to-session --pid-file /run/plymouth/pid

  plymouth show-splash
fi

